| inforesidue

## Function

Return information on a given amino acid residue

## Description

inforesidue reports the defined properties for all known residues, or for any residues specified by the user.

## Usage

Here is a sample session with inforesidue

    % inforesidue
    Return information on a given amino acid residue
    Amino acid residue code [ABCDEFGHIJKLMNOPQRSTUVWXYZ]:
    Output file [outfile.inforesidue]:

Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-code]              string     [ABCDEFGHIJKLMNOPQRSTUVWXYZ] Enter IUPAC
                                      amino acids codes, e.g. A, C, D, E etc. (Any
                                      string is accepted)
      [-outfile]           outfile    [*.inforesidue] Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -aadata             datafile   [Eamino.dat] Amino acid properties
       -mwdata             datafile   [Emolwt.dat] Molecular weight data for amino
                                      acids

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-code] (Parameter 1) | Enter IUPAC amino acids codes, e.g. A, C, D, E etc. | Any string is accepted | ABCDEFGHIJKLMNOPQRSTUVWXYZ
[-outfile] (Parameter 2) | Output file name | Output file | <*>.inforesidue
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-aadata | Amino acid properties | Data file | Eamino.dat
-mwdata | Molecular weight data for amino acids | Data file | Emolwt.dat

## Input file format

inforesidue uses a string of residue codes.

## Output file format

inforesidue outputs a text table of residue properties.

### Output files for usage example

### File: outfile.inforesidue

    Code Short Mnemonic             Charge     MolWt Properties                     Ambiguity
    A    Ala   alanine                 0.0   71.0786 tiny,small,aliphatic,nonpolar  A
    B    Asx   aspartate/asparagine   -0.5  114.5960 small                          DN
    C    Cys   cysteine                0.0  103.1386 tiny,small,nonpolar            C
    D    Asp   aspartate              -1.0  115.0884 small,polar                    D
    E    Glu   glutamate              -1.0  129.1152 polar                          E
    F    Phe   phenylalanine           0.0  147.1762 aromatic,nonpolar              F
    G    Gly   glycine                 0.0   57.0518 tiny,small,nonpolar            G
    H    His   histidine              +0.5  137.1408 aromatic,polar                 H
    I    Ile   isoleucine              0.0  113.1590 aliphatic,nonpolar             I
    J    ---   leucine/isoleucine      0.0  113.1590 aliphatic,nonpolar             IL
    K    Lys   lysine                 +1.0  128.1736 polar                          K
    L    Leu   leucine                 0.0  113.1590 aliphatic,nonpolar             L
    M    Met   methionine              0.0  131.1926 nonpolar                       M
    N    Asn   asparagine              0.0  114.1036 small,polar                    N
    O    ---   pyrrolysine            +1.0  109.1300 polar                          O
    P    Pro   proline                 0.0   97.1164 small,nonpolar                 P
    Q    Gln   glutamine               0.0  128.1304 polar                          Q
    R    Arg   arginine               +1.0  156.1870 polar                          R
    S    Ser   serine                  0.0   87.0780 tiny,small,polar               S
    T    Thr   threonine               0.0  101.1048 tiny,small,polar               T
    U    ---   selenocysteine          0.0  150.0326 tiny,small,nonpolar            U
    V    Val   valine                  0.0   99.1322 small,aliphatic,nonpolar       V
    W    Trp   tryptophan              0.0  186.2128 aromatic,nonpolar              W
    X    Xaa   unknown                 0.0  144.0000 (none)                         ACDEFGHIKLMNPQRSTVWY
    Y    Tyr   tyrosine                0.0  163.1756 aromatic,nonpolar              Y
    Z    Glx   glutamate/glutamine    -0.5  128.6228 polar                          EQ

## Data files

inforesidue reads the Eresidues.iub file to define IUB standard codes for nucleotides and ambiguity codes, and files Eamino.dat and Emolwt.dat to read other amino acid residue chemical proerties and molecular weights.

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
infoalign | Display basic information about a multiple sequence alignment
infobase | Return information on a given nucleotide base
infoseq | Display basic information about sequences
seealso | Finds programs with similar function to a specified program
showdb | Displays information on configured databases
textsearch | Search the textual description of sequence(s)
tfm | Displays full documentation for an application
whichdb | Search all sequence databases for an entry and retrieve it
wossname | Finds programs by keywords in their short description

## Author(s)

Jon Ison (jison © ebi.ac.uk)
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None